Create project
curl --request POST \
--url https://api.surefeedback.com/api/v1/projects \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"organization_id": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.surefeedback.com/api/v1/projects"
payload = {
"name": "<string>",
"organization_id": "<string>",
"description": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', organization_id: '<string>', description: '<string>'})
};
fetch('https://api.surefeedback.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"name": "Client Website Redesign",
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-03-02T12:00:00Z"
}
}
Projects
Create project
Create a new project within an organization.
POST
/
projects
Create project
Creates a new project in the specified organization.
Requires authentication. The user must be an organization admin or owner.
Request body
string
required
Project name. Max 255 characters.
string
required
UUID of the organization this project belongs to.
string
Optional project description.
{
"success": true,
"data": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"name": "Client Website Redesign",
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"created_at": "2026-03-02T12:00:00Z"
}
}
Was this page helpful?
⌘I